
#    This module contains constants for the Tor module such as a COUNLATLNG
module Tor::Constants


#    This maps the coordinates of each country to its country code.
#
#    *Get* *Coordinates* *for* *countries*
#        Tor::Constants::COUNLATLNG["FR"]                =>{:lat=>46.0, :lng=>2.0}
#        Tor::Constants::COUNLATLNG["GB"]               =>{:lat=>54.0, :lng=>-2.0}
#        Tor::Constants::COUNLATLNG["FR"][:lat]        =>46.0
#        Tor::Constants::COUNLATLNG["GB"][lng]        =>-2.0
#     
#    A1 and A2 - anonymous proxies and satelite providers - added using cordinates (0,0)
#    IM, AX, JE added from the CIA factbook, the others from the Maxmind page
#    <b>NOTE:</b> See the following links for more details
#    CIA Factbook online [https://www.cia.gov/library/publications/the-world-factbook/fields/2011.html]
#    Maxmind(2007) - Average Latitude and longitude for countries [http://www.maxmind.com/app/country_latlon]
COUNLATLNG = {
"AD"=>{:lat=>42.5, :lng=>1.5}, "AE"=>{:lat=>24.0, :lng=>54.0}, "AF"=>{:lat=>33.0, :lng=>65.0}, "AG"=>{:lat=>17.05, :lng=>-61.8},"AI"=>{:lat=>18.25, :lng=>-63.1667}, 
"AL"=>{:lat=>41.0, :lng=>20.0}, "AM"=>{:lat=>40.0, :lng=>45.0},"AN"=>{:lat=>12.25, :lng=>-68.75}, "AO"=>{:lat=>-12.5, :lng=>18.5},
"AP"=>{:lat=>35.0, :lng=>105.0}, "AQ"=>{:lat=>-90.0, :lng=>0.0}, "AR"=>{:lat=>-34.0, :lng=>-64.0}, "AS"=>{:lat=>-14.3333, :lng=>-170.0},
"AT"=>{:lat=>47.3333, :lng=>13.3333}, "AU"=>{:lat=>-27.0, :lng=>133.0}, "AW"=>{:lat=>12.5, :lng=>-69.9667}, "AZ"=>{:lat=>40.5, :lng=>47.5},
"BA"=>{:lat=>44.0, :lng=>18.0}, "BB"=>{:lat=>13.1667, :lng=>-59.5333}, "BD"=>{:lat=>24.0, :lng=>90.0}, "BE"=>{:lat=>50.8333, :lng=>4.0},
"BF"=>{:lat=>13.0, :lng=>-2.0}, "BG"=>{:lat=>43.0, :lng=>25.0}, "BH"=>{:lat=>26.0, :lng=>50.55}, "BI"=>{:lat=>-3.5, :lng=>30.0}, 
"BJ"=>{:lat=>9.5, :lng=>2.25}, "BM"=>{:lat=>32.3333, :lng=>-64.75}, "BN"=>{:lat=>4.5, :lng=>114.6667}, "BO"=>{:lat=>-17.0, :lng=>-65.0},
"BR"=>{:lat=>-10.0, :lng=>-55.0}, "BS"=>{:lat=>24.25, :lng=>-76.0}, "BT"=>{:lat=>27.5, :lng=>90.5}, "BV"=>{:lat=>-54.4333, :lng=>3.4},
"BW"=>{:lat=>-22.0, :lng=>24.0}, "BY"=>{:lat=>53.0, :lng=>28.0}, "BZ"=>{:lat=>17.25, :lng=>-88.75}, "CA"=>{:lat=>60.0, :lng=>-95.0},
"CC"=>{:lat=>-12.5, :lng=>96.8333}, "CD"=>{:lat=>0.0, :lng=>25.0}, "CF"=>{:lat=>7.0, :lng=>21.0}, "CG"=>{:lat=>-1.0, :lng=>15.0},
"CH"=>{:lat=>47.0, :lng=>8.0}, "CI"=>{:lat=>8.0, :lng=>-5.0}, "CK"=>{:lat=>-21.2333, :lng=>-159.7667}, "CL"=>{:lat=>-30.0, :lng=>-71.0},
"CM"=>{:lat=>6.0, :lng=>12.0}, "CN"=>{:lat=>35.0, :lng=>105.0}, "CO"=>{:lat=>4.0, :lng=>-72.0}, "CR"=>{:lat=>10.0, :lng=>-84.0},
"CU"=>{:lat=>21.5, :lng=>-80.0}, "CV"=>{:lat=>16.0, :lng=>-24.0}, "CX"=>{:lat=>-10.5, :lng=>105.6667}, "CY"=>{:lat=>35.0, :lng=>33.0},
"CZ"=>{:lat=>49.75, :lng=>15.5}, "DE"=>{:lat=>51.0, :lng=>9.0}, "DJ"=>{:lat=>11.5, :lng=>43.0}, "DK"=>{:lat=>56.0, :lng=>10.0},
"DM"=>{:lat=>15.4167, :lng=>-61.3333}, "DO"=>{:lat=>19.0, :lng=>-70.6667}, "DZ"=>{:lat=>28.0, :lng=>3.0}, "EC"=>{:lat=>-2.0, :lng=>-77.5},
"EE"=>{:lat=>59.0, :lng=>26.0}, "EG"=>{:lat=>27.0, :lng=>30.0}, "EH"=>{:lat=>24.5, :lng=>-13.0}, "ER"=>{:lat=>15.0, :lng=>39.0},
"ES"=>{:lat=>40.0, :lng=>-4.0}, "ET"=>{:lat=>8.0, :lng=>38.0}, "EU"=>{:lat=>47.0, :lng=>8.0}, "FI"=>{:lat=>64.0, :lng=>26.0},
"FJ"=>{:lat=>-18.0, :lng=>175.0}, "FK"=>{:lat=>-51.75, :lng=>-59.0}, "FM"=>{:lat=>6.9167, :lng=>158.25}, "FO"=>{:lat=>62.0, :lng=>-7.0},
"FR"=>{:lat=>46.0, :lng=>2.0}, "GA"=>{:lat=>-1.0, :lng=>11.75}, "GB"=>{:lat=>54.0, :lng=>-2.0}, "GD"=>{:lat=>12.1167, :lng=>-61.6667},
"GE"=>{:lat=>42.0, :lng=>43.5}, "GF"=>{:lat=>4.0, :lng=>-53.0}, "GH"=>{:lat=>8.0, :lng=>-2.0}, "GI"=>{:lat=>36.1833, :lng=>-5.3667},
"GL"=>{:lat=>72.0, :lng=>-40.0}, "GM"=>{:lat=>13.4667, :lng=>-16.5667}, "GN"=>{:lat=>11.0, :lng=>-10.0}, "GP"=>{:lat=>16.25,:lng=>-61.5833},
"GQ"=>{:lat=>2.0, :lng=>10.0}, "GR"=>{:lat=>39.0, :lng=>22.0}, "GS"=>{:lat=>-54.5, :lng=>-37.0}, "GT"=>{:lat=>15.5, :lng=>-90.25}, 
"GU"=>{:lat=>13.4667, :lng=>144.7833}, "GW"=>{:lat=>12.0, :lng=>-15.0}, "GY"=>{:lat=>5.0, :lng=>-59.0}, "HK"=>{:lat=>22.25, :lng=>114.1667}, "HM"=>{:lat=>-53.1, :lng=>72.5167}, "HN"=>{:lat=>15.0, :lng=>-86.5}, "HR"=>{:lat=>45.1667, :lng=>15.5}, "HT"=>{:lat=>19.0, :lng=>-72.4167},
"HU"=>{:lat=>47.0, :lng=>20.0}, "ID"=>{:lat=>-5.0, :lng=>120.0}, "IE"=>{:lat=>53.0, :lng=>-8.0}, "IL"=>{:lat=>31.5, :lng=>34.75}, 
"IN"=>{:lat=>20.0, :lng=>77.0}, "IO"=>{:lat=>-6.0, :lng=>71.5}, "IQ"=>{:lat=>33.0, :lng=>44.0}, "IR"=>{:lat=>32.0, :lng=>53.0}, 
"IS"=>{:lat=>65.0, :lng=>-18.0}, "IT"=>{:lat=>42.8333, :lng=>12.8333}, "JM"=>{:lat=>18.25, :lng=>-77.5}, "JO"=>{:lat=>31.0, :lng=>36.0}, 
"JP"=>{:lat=>36.0, :lng=>138.0}, "KE"=>{:lat=>1.0, :lng=>38.0}, "KG"=>{:lat=>41.0, :lng=>75.0}, "KH"=>{:lat=>13.0, :lng=>105.0}, 
"KI"=>{:lat=>1.4167, :lng=>173.0}, "KM"=>{:lat=>-12.1667, :lng=>44.25}, "KN"=>{:lat=>17.3333, :lng=>-62.75}, "KP"=>{:lat=>40.0, :lng=>127.0}, 
"KR"=>{:lat=>37.0, :lng=>127.5}, "KW"=>{:lat=>29.3375, :lng=>47.6581}, "KY"=>{:lat=>19.5, :lng=>-80.5}, "KZ"=>{:lat=>48.0, :lng=>68.0}, 
"LA"=>{:lat=>18.0, :lng=>105.0}, "LB"=>{:lat=>33.8333, :lng=>35.8333}, "LC"=>{:lat=>13.8833, :lng=>-61.1333}, "LI"=>{:lat=>47.1667, :lng=>9.5333}, 
"LK"=>{:lat=>7.0, :lng=>81.0}, "LR"=>{:lat=>6.5, :lng=>-9.5}, "LS"=>{:lat=>-29.5, :lng=>28.5}, "LT"=>{:lat=>56.0, :lng=>24.0}, 
"LU"=>{:lat=>49.75, :lng=>6.1667}, "LV"=>{:lat=>57.0, :lng=>25.0}, "LY"=>{:lat=>25.0, :lng=>17.0}, "MA"=>{:lat=>32.0, :lng=>-5.0}, 
"MC"=>{:lat=>43.7333, :lng=>7.4}, "MD"=>{:lat=>47.0, :lng=>29.0}, "ME"=>{:lat=>42.0, :lng=>19.0}, "MG"=>{:lat=>-20.0, :lng=>47.0}, 
"MH"=>{:lat=>9.0, :lng=>168.0}, "MK"=>{:lat=>41.8333, :lng=>22.0}, "ML"=>{:lat=>17.0, :lng=>-4.0}, "MM"=>{:lat=>22.0, :lng=>98.0}, 
"MN"=>{:lat=>46.0, :lng=>105.0}, "MO"=>{:lat=>22.1667, :lng=>113.55}, "MP"=>{:lat=>15.2, :lng=>145.75}, "MQ"=>{:lat=>14.6667, :lng=>-61.0}, 
"MR"=>{:lat=>20.0, :lng=>-12.0}, "MS"=>{:lat=>16.75, :lng=>-62.2}, "MT"=>{:lat=>35.8333, :lng=>14.5833}, "MU"=>{:lat=>-20.2833, :lng=>57.55}, 
"MV"=>{:lat=>3.25, :lng=>73.0}, "MW"=>{:lat=>-13.5, :lng=>34.0}, "MX"=>{:lat=>23.0, :lng=>-102.0}, "MY"=>{:lat=>2.5, :lng=>112.5}, 
"MZ"=>{:lat=>-18.25, :lng=>35.0}, "NA"=>{:lat=>-22.0, :lng=>17.0}, "NC"=>{:lat=>-21.5, :lng=>165.5}, "NE"=>{:lat=>16.0, :lng=>8.0}, 
"NF"=>{:lat=>-29.0333, :lng=>167.95}, "NG"=>{:lat=>10.0, :lng=>8.0}, "NI"=>{:lat=>13.0, :lng=>-85.0}, "NL"=>{:lat=>52.5, :lng=>5.75}, 
"NO"=>{:lat=>62.0, :lng=>10.0}, "NP"=>{:lat=>28.0, :lng=>84.0}, "NR"=>{:lat=>-0.5333, :lng=>166.9167}, "NU"=>{:lat=>-19.0333, :lng=>-169.8667}, 
"NZ"=>{:lat=>-41.0, :lng=>174.0}, "OM"=>{:lat=>21.0, :lng=>57.0}, "PA"=>{:lat=>9.0, :lng=>-80.0}, "PE"=>{:lat=>-10.0, :lng=>-76.0}, 
"PF"=>{:lat=>-15.0, :lng=>-140.0}, "PG"=>{:lat=>-6.0, :lng=>147.0}, "PH"=>{:lat=>13.0, :lng=>122.0}, "PK"=>{:lat=>30.0, :lng=>70.0}, 
"PL"=>{:lat=>52.0, :lng=>20.0}, "PM"=>{:lat=>46.8333, :lng=>-56.3333}, "PR"=>{:lat=>18.25, :lng=>-66.5}, "PS"=>{:lat=>32.0, :lng=>35.25}, 
"PT"=>{:lat=>39.5, :lng=>-8.0}, "PW"=>{:lat=>7.5, :lng=>134.5}, "PY"=>{:lat=>-23.0, :lng=>-58.0}, "QA"=>{:lat=>25.5, :lng=>51.25}, 
"RE"=>{:lat=>-21.1, :lng=>55.6}, "RO"=>{:lat=>46.0, :lng=>25.0}, "RS"=>{:lat=>44.0, :lng=>21.0}, "RU"=>{:lat=>60.0, :lng=>100.0}, 
"RW"=>{:lat=>-2.0, :lng=>30.0}, "SA"=>{:lat=>25.0, :lng=>45.0}, "SB"=>{:lat=>-8.0, :lng=>159.0}, "SC"=>{:lat=>-4.5833, :lng=>55.6667}, 
"SD"=>{:lat=>15.0, :lng=>30.0}, "SE"=>{:lat=>62.0, :lng=>15.0}, "SG"=>{:lat=>1.3667, :lng=>103.8}, "SH"=>{:lat=>-15.9333, :lng=>-5.7}, 
"SI"=>{:lat=>46.0, :lng=>15.0}, "SJ"=>{:lat=>78.0, :lng=>20.0}, "SK"=>{:lat=>48.6667, :lng=>19.5}, "SL"=>{:lat=>8.5, :lng=>-11.5}, 
"SM"=>{:lat=>43.7667, :lng=>12.4167}, "SN"=>{:lat=>14.0, :lng=>-14.0}, "SO"=>{:lat=>10.0, :lng=>49.0}, "SR"=>{:lat=>4.0, :lng=>-56.0}, 
"ST"=>{:lat=>1.0, :lng=>7.0}, "SV"=>{:lat=>13.8333, :lng=>-88.9167}, "SY"=>{:lat=>35.0, :lng=>38.0}, "SZ"=>{:lat=>-26.5, :lng=>31.5}, 
"TC"=>{:lat=>21.75, :lng=>-71.5833}, "TD"=>{:lat=>15.0, :lng=>19.0}, "TF"=>{:lat=>-43.0, :lng=>67.0}, "TG"=>{:lat=>8.0, :lng=>1.1667}, 
"TH"=>{:lat=>15.0, :lng=>100.0}, "TJ"=>{:lat=>39.0, :lng=>71.0}, "TK"=>{:lat=>-9.0, :lng=>-172.0}, "TM"=>{:lat=>40.0, :lng=>60.0}, 
"TN"=>{:lat=>34.0, :lng=>9.0}, "TO"=>{:lat=>-20.0, :lng=>-175.0}, "TR"=>{:lat=>39.0, :lng=>35.0}, "TT"=>{:lat=>11.0, :lng=>-61.0}, 
"TV"=>{:lat=>-8.0, :lng=>178.0}, "TW"=>{:lat=>23.5, :lng=>121.0}, "TZ"=>{:lat=>-6.0, :lng=>35.0}, "UA"=>{:lat=>49.0, :lng=>32.0}, 
"UG"=>{:lat=>1.0, :lng=>32.0}, "UM"=>{:lat=>19.2833, :lng=>166.6}, "US"=>{:lat=>38.0, :lng=>-97.0}, "UY"=>{:lat=>-33.0, :lng=>-56.0}, 
"UZ"=>{:lat=>41.0, :lng=>64.0}, "VA"=>{:lat=>41.9, :lng=>12.45}, "VC"=>{:lat=>13.25, :lng=>-61.2}, "VE"=>{:lat=>8.0, :lng=>-66.0}, 
"VG"=>{:lat=>18.5, :lng=>-64.5}, "VI"=>{:lat=>18.3333, :lng=>-64.8333}, "VN"=>{:lat=>16.0, :lng=>106.0}, "VU"=>{:lat=>-16.0, :lng=>167.0},
"WF"=>{:lat=>-13.3, :lng=>-176.2}, "WS"=>{:lat=>-13.5833, :lng=>-172.3333}, "YE"=>{:lat=>15.0, :lng=>48.0}, "YT"=>{:lat=>-12.8333, :lng=>45.1667}, 
"ZA"=>{:lat=>-29.0, :lng=>24.0}, "ZM"=>{:lat=>-15.0, :lng=>30.0}, "ZW"=>{:lat=>-20.0, :lng=>30.0}, "JE"=>{:lat=>49.25, :lng=>-2.16},
 "IM"=>{:lat=>54.25, :lng=>4.5}, "AX"=>{:lat=>60.25, :lng=> 20},"A1"=>{:lat=>0, :lng=> 0},"A2"=>{:lat=>0, :lng=> 0}
 }

# This determines where the tour goes to and which placemark ballons come up
# centres: South Africa, Benin, Switz, Ukraine, India, Australia, Paraguay, United States,France
#
WORLDTOUR={"ZA" => ["ZA1","NA1","KE1"],
                        "BJ" => ["BJ1","A11","NG1","CI1","SN1","DZ1","MA1","EG1","TN1"], 
                        "CH" => ["FR1","ES1","LU1","GB1","BE1","NL1","DE1","IT1","IE1","AT1","SE1","DK1","UA1"],
                        "UA" => ["SA1","TR1","SY1","RU1","IR1"],
                        "IN" => ["IN1","KZ1","CN1","TH1","PK1"],
                        "AU" => ["AU1","NC1"],
                        "PY" => ["PY1","BR1","AR1","CL1"],
                        "US" => ["US1","US2","US3","US4","CA1","MX1"],
                        "FR" => ["FR1"] }

#    FR1 is the centre, by default, centres 1 to 90 are read by default, and 91-200 change to black after 2seconds
#    This can be changed using a the mix-in features of Ruby, using the keys {:lat , :lng,"red", "black"}
ATTACK_TOUR = {:lat   => 46.0,
                           :lng   => 2.0,
                           "red"=> (1..90).collect{|eachnum| "FR" + eachnum.to_s},
                           "black"=> (91..200).collect{|eachnum| "FR" + eachnum.to_s} }
                        #"red"=> ["FR240", "FR221", "FR46", "FR72", "FR226","FR4","FR179","FR182",],
                        #"black"=> ["FR92", "FR159", "FR196", "FR210", "FR17","218", "FR175","FR41" ] }

#  This determines how long the program Tor::TController.extendcir_slowly() waits between each extension.
EXTEND_DELAY = 2.0

# This determines how frequent the circuits that make up long circuits will be checked and reattached. 
PERIODIC_TIMER = 7

end