# tor_extend
require 'rubygems'
spec = Gem::Specification.new do |s|
    s.name = "tor_extend"
    s.version = "2.0.0"
    s.summary = "TController inherits the features from the Controller class in Arto Bendiken\'s tor-ruby [https://github.com/bendiken/tor-ruby] and extends it to do so much more"
    s.files = Dir.glob("**/**/**")
    s.test_files = Dir.glob("test/*_test.rb")
    s.author = "Oluwaseun Remi-Omosowon"
    s.email = "remi-omosowon@et.esiea-ouest.fr"
    s.has_rdoc = true
    s.extra_rdoc_files = ['ReadME.txt','Change.log']
    s.required_ruby_version = '>= 1.9.1'
    s.require_paths = [ 'lib' ]
    
    s.add_dependency('tor', '>= 0.1.2')
    s.add_dependency('geoip', '>= 1.1.1')
    s.add_dependency('socksify', '>= 1.4.1')
    s.add_dependency('eventmachine', '>= 0.12.10')
    
    s.requirements << ' ruby'
    s.requirements << ' socksify'
    s.requirements << ' tor'
    s.requirements << ' eventmachine'
    
    s.description = <<-EOF
    This library extends Bendiken's tor-ruby [https://github.com/bendiken/tor-ruby], and provides methods for working with circuits, packet spinning, as well as obtaining Bridges from the Tor anonymous network as described at the following conference:
    PacSec Applied Security Conference, Tokyo, Japan on, 9-10 Nov. 2011, "Filiol E., Remi-Omosowon O. B., Mutembei L., 2011. Dynamic cryptographic trapdoors to take over the TOR network".
    H2HC 2011, Sao Paulo, Brazil on, 29-30 Oct. 2011, "Filiol E., Remi-Omosowon O. B., Mutembei L., 2011. How to take over the Tor network operationally "

    It will be updated before and after the talk at:  
    28C3, Chaos Communication Congress Conference, Berlin, Germany on, 27-30 Dec. 2011, "Filiol E., Remi-Omosowon O. B., Mutembei L., 2011. Dynamic cryptographic trapdoors to take over the TOR network.

    It requires the geoip, socksify and tor gems, which I included in the specification file to auto install for clients. So other licences may apply.
    Also available at http://cvo-lab.blogspot.com/2011/11/tor-attack-technical-details.html
    EOF
    s.homepage = ("http://tor-extend.rubyforge.org")
    s.rubyforge_project = 'tor_extend'
end
